> ## Documentation Index
> Fetch the complete documentation index at: https://docs.halth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List payment transactions in a payout

> Get a paged list of the payment transactions that make up a payout



## OpenAPI

````yaml https://api.halth.com/v1/api-yaml get /v1/businesses/{businessId}/payouts/{payoutId}/transactions
openapi: 3.0.0
info:
  title: HaltH API
  description: The API for the HaltH platform business services
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.halth.com
    description: Production
  - url: https://api.stg.halth.com
    description: Staging
security: []
tags: []
paths:
  /v1/businesses/{businessId}/payouts/{payoutId}/transactions:
    get:
      tags:
        - Payout
      summary: List payment transactions in a payout
      description: Get a paged list of the payment transactions that make up a payout
      operationId: PayoutController_listTransactions
      parameters:
        - name: businessId
          required: true
          in: path
          schema:
            type: string
        - name: payoutId
          required: true
          in: path
          schema:
            type: string
        - name: page
          required: false
          in: query
          description: Page number
          schema:
            minimum: 1
            maximum: 9007199254740991
            default: 1
            example: 1
            type: number
        - name: limit
          required: false
          in: query
          description: Number of items per page
          schema:
            minimum: 1
            maximum: 200
            default: 10
            example: 10
            type: number
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/ApiResponse'
                  - properties:
                      items:
                        type: array
                        items:
                          $ref: '#/components/schemas/PaymentTransaction'
                      page:
                        type: number
                        example: 1
                      limit:
                        type: number
                        example: 10
                      totalItems:
                        type: number
                        example: 100
                      totalPages:
                        type: number
                        example: 10
components:
  schemas:
    ApiResponse:
      type: object
      properties: {}
    PaymentTransaction:
      type: object
      properties:
        id:
          type: string
        createdAt:
          format: date-time
          type: string
        source:
          type: string
        amount:
          type: number
        platformFeeAmount:
          type: number
        status:
          type: string
          enum:
            - pending
            - confirmed
            - reversed
            - refunded
            - requires_confirmation
            - requires_payment
            - requires_review
            - failed
        paymentType:
          enum:
            - cash
            - card_saved
            - card_present
            - payment_link
            - booking_credit
            - none
          type: string
        confirmationReason:
          enum:
            - payment_limit_exceeded
            - phi_claim
            - requires_consent
          type: string
        paymentId:
          type: string
        payment:
          $ref: '#/components/schemas/Payment'
        claimId:
          type: string
        claim:
          $ref: '#/components/schemas/PhiClaim'
        medicareClaimId:
          type: string
        medicareClaim:
          $ref: '#/components/schemas/MedicareClaim'
        paymentLinks:
          type: array
          items:
            $ref: '#/components/schemas/PaymentLink'
        adjustmentTransactions:
          type: array
          items:
            $ref: '#/components/schemas/AdjustmentTransaction'
        events:
          type: array
          items:
            $ref: '#/components/schemas/PaymentTransactionEvent'
      required:
        - id
        - createdAt
        - source
        - amount
        - status
        - paymentType
        - adjustmentTransactions
    Payment:
      type: object
      properties:
        id:
          type: string
        amount:
          type: number
        currency:
          type: string
        status:
          type: string
        paymentMethodId:
          type: string
        clientSecret:
          type: string
      required:
        - id
        - amount
        - currency
        - status
    PhiClaim:
      type: object
      properties:
        id:
          type: string
        referenceNumber:
          type: string
        status:
          enum:
            - created
            - submitted
            - confirmed
            - cancelled
            - rejected
            - voided
          type: string
        createdAt:
          format: date-time
          type: string
        isRebateEstimate:
          type: boolean
        totalChargeAmount:
          type: number
        totalRebateAmount:
          type: number
        totalGapAmount:
          type: number
        serviceTypeCode:
          enum:
            - F
            - '3'
            - '4'
            - '5'
            - '6'
            - '7'
            - '8'
            - '9'
            - P
            - M
            - '1'
            - E
            - U
            - C
            - S
            - B
            - 'N'
            - H
            - Z
            - '0'
            - '2'
            - V
            - T
            - O
            - A
            - L
            - R
            - G
            - Q
            - X
            - W
            - I
            - K
            - 'Y'
            - D
          type: string
        providerNumber:
          type: string
        cancelledAt:
          format: date-time
          type: string
        voidedAt:
          format: date-time
          type: string
        items:
          type: array
          items:
            $ref: '#/components/schemas/PhiClaimItem'
        response:
          $ref: '#/components/schemas/PhiClaimResponse'
        device:
          $ref: '#/components/schemas/Device'
        serviceType:
          $ref: '#/components/schemas/ServiceType'
        healthFund:
          $ref: '#/components/schemas/HealthFund'
        payment:
          $ref: '#/components/schemas/PhiClaimPayment'
        provider:
          type: object
          properties:
            providerNumber:
              type: string
            name:
              type: string
            categoryCode:
              type: string
            serviceTypeCode:
              enum:
                - F
                - '3'
                - '4'
                - '5'
                - '6'
                - '7'
                - '8'
                - '9'
                - P
                - M
                - '1'
                - E
                - U
                - C
                - S
                - B
                - 'N'
                - H
                - Z
                - '0'
                - '2'
                - V
                - T
                - O
                - A
                - L
                - R
                - G
                - Q
                - X
                - W
                - I
                - K
                - 'Y'
                - D
              type: string
          required:
            - providerNumber
            - name
            - categoryCode
            - serviceTypeCode
        rules:
          $ref: '#/components/schemas/PhiClaimRules'
      required:
        - id
        - referenceNumber
        - status
        - createdAt
        - isRebateEstimate
        - totalChargeAmount
        - totalRebateAmount
        - totalGapAmount
        - serviceTypeCode
        - providerNumber
        - items
        - device
        - serviceType
        - healthFund
        - rules
    MedicareClaim:
      type: object
      properties:
        id:
          type: string
        status:
          type: string
          enum:
            - created
            - submitted
            - confirmed
            - rejected
            - requires_review
            - in_review
            - cancelled
            - failed
        reference:
          type: string
        patientMedicareCardId:
          type: string
        patientMedicareCard:
          $ref: '#/components/schemas/MedicareCard'
        claimantMedicareCardId:
          type: string
        claimantMedicareCard:
          $ref: '#/components/schemas/MedicareCard'
        createdAt:
          format: date-time
          type: string
        type:
          type: object
        totalChargeAmount:
          type: number
        totalRebateAmount:
          type: number
        totalGapAmount:
          type: number
        itemsCount:
          type: number
        mcolTransactionId:
          type: string
        mcolClaimId:
          type: string
        mcolErrorCode:
          type: string
        mcolErrorMessage:
          type: string
        items:
          type: array
          items:
            $ref: '#/components/schemas/MedicareClaimItem'
        paymentStatus:
          type: object
        transactionId:
          type: string
        rules:
          $ref: '#/components/schemas/MedicareClaimRules'
      required:
        - id
        - status
        - createdAt
        - type
        - totalChargeAmount
        - totalRebateAmount
        - totalGapAmount
        - itemsCount
        - mcolTransactionId
        - items
        - paymentStatus
        - rules
    PaymentLink:
      type: object
      properties:
        url:
          type: string
          description: Customer URL to complete the payment
          example: https://app.halth.com/pay/1234567890
        id:
          type: string
        createdAt:
          format: date-time
          type: string
        expiresAt:
          format: date-time
          type: string
        events:
          type: array
          items:
            $ref: '#/components/schemas/PaymentLinkEvent'
      required:
        - url
        - id
        - createdAt
        - expiresAt
        - events
    AdjustmentTransaction:
      type: object
      properties:
        id:
          type: string
        createdAt:
          format: date-time
          type: string
        source:
          type: string
        amount:
          type: number
      required:
        - id
        - createdAt
        - source
        - amount
    PaymentTransactionEvent:
      type: object
      properties:
        type:
          type: string
          enum:
            - payment_transaction.created
            - payment_transaction.confirmed
            - payment_transaction.reversed
            - payment_transaction.refunded
            - payment_transaction.failed
        status:
          type: string
          enum:
            - pending
            - confirmed
            - reversed
            - refunded
            - requires_confirmation
            - requires_payment
            - requires_review
            - failed
        previousStatus:
          type: string
          enum:
            - pending
            - confirmed
            - reversed
            - refunded
            - requires_confirmation
            - requires_payment
            - requires_review
            - failed
        createdAt:
          format: date-time
          type: string
        createdBy:
          type: string
        createdByMember:
          $ref: '#/components/schemas/Member'
      required:
        - status
        - createdAt
        - createdBy
    PhiClaimItem:
      type: object
      properties:
        id:
          type: string
        chargeAmount:
          type: number
        itemCode:
          type: string
        serviceDate:
          format: date-time
          type: string
        serviceReference:
          type: string
        patientReferenceNumber:
          type: string
        rebateAmount:
          type: number
        itemDescription:
          type: string
        itemName:
          type: string
        response:
          $ref: '#/components/schemas/PhiClaimItemResponse'
      required:
        - id
        - chargeAmount
        - itemCode
        - serviceDate
        - patientReferenceNumber
        - rebateAmount
    PhiClaimResponse:
      type: object
      properties:
        statusCode:
          type: string
        responseCode:
          type: string
        freeText:
          type: string
    Device:
      type: object
      properties:
        terminalId:
          type: string
    ServiceType:
      type: object
      properties:
        code:
          type: string
        name:
          type: string
      required:
        - code
        - name
    HealthFund:
      type: object
      properties:
        id:
          enum:
            - ACA
            - AUNITY
            - BUPA
            - HCF
            - NAVY
            - UNI
            - FRANK
            - HIWA
            - QCH
            - TERR
            - DEFH
            - ONEMED
            - SEEU
            - LATRO
            - RT
            - TUH
            - UNION
            - POLICE
            - PHNX
            - ADF
            - HPART
            - STLUK
            - ASTUTE
            - RBHS
            - DOC
            - ING
            - PRICE
            - REAL
            - SNRS
            - IMAN
            - TEST
            - BUDGET
            - AHM
            - CBHSC
            - MEDIB
            - TEACH
            - HLTEST
            - HBF
            - GMHBA
            - PEOPLE
            - CBHS
            - WEST
            - HCI
            - AIA
            - AAMI
            - APIA
            - QANTAS
            - SUN
            - NIB
            - MILD
            - GU
          type: string
        name:
          type: string
        capabilities:
          $ref: '#/components/schemas/HealthFundCapabilities'
      required:
        - id
        - name
        - capabilities
    PhiClaimPayment:
      type: object
      properties:
        paymentAmount:
          type: number
        bankAccountNumberLast4:
          type: string
        bankAccountBsb:
          type: string
        paymentDate:
          format: date-time
          type: string
        paymentReference:
          type: string
      required:
        - paymentAmount
        - bankAccountNumberLast4
        - bankAccountBsb
        - paymentDate
        - paymentReference
    PhiClaimRules:
      type: object
      properties:
        reversal:
          type: object
          properties:
            enabled:
              type: boolean
          required:
            - enabled
      required:
        - reversal
    MedicareCard:
      type: object
      properties:
        id:
          type: string
        memberNumberLast4:
          type: string
        referenceNumber:
          type: string
        createdAt:
          format: date-time
          type: string
        fingerprint:
          type: string
        firstName:
          type: string
        lastName:
          type: string
        dateOfBirth:
          type: string
        secondInitial:
          type: string
        sex:
          type: string
        verified:
          type: boolean
        verifiedAt:
          format: date-time
          type: string
      required:
        - id
        - memberNumberLast4
        - referenceNumber
        - createdAt
        - fingerprint
        - firstName
        - lastName
        - dateOfBirth
        - verified
    MedicareClaimItem:
      type: object
      properties:
        id:
          type: string
        itemCode:
          type: string
        chargeAmount:
          type: number
        rebateAmount:
          type: number
        gapAmount:
          type: number
        mcolAssessmentCode:
          type: string
        mcolErrorCode:
          type: string
        mcolErrorMessage:
          type: string
        patientCount:
          type: number
        quantity:
          type: number
      required:
        - id
        - itemCode
        - chargeAmount
        - rebateAmount
        - gapAmount
    MedicareClaimRules:
      type: object
      properties:
        reversal:
          type: object
          properties:
            enabled:
              type: boolean
          required:
            - enabled
      required:
        - reversal
    PaymentLinkEvent:
      type: object
      properties:
        type:
          type: string
          enum:
            - payment_link.created
            - payment_link.expired
            - payment_link.paid
            - payment_link.sms_sent
            - payment_link.email_sent
            - payment_link.cancelled
        createdAt:
          format: date-time
          type: string
      required:
        - type
        - createdAt
    Member:
      type: object
      properties:
        id:
          type: string
        firstName:
          type: string
        lastName:
          type: string
        email:
          type: string
        emailVerified:
          type: boolean
        mobileNumber:
          type: string
        mobileNumberVerified:
          type: boolean
        dateOfBirth:
          type: string
        createdAt:
          format: date-time
          type: string
        roles:
          type: array
          items:
            type: string
        profileImageUrl:
          type: string
        activity:
          type: array
          items:
            $ref: '#/components/schemas/MemberActivity'
        settings:
          $ref: '#/components/schemas/MemberSettings'
      required:
        - id
        - emailVerified
        - mobileNumberVerified
        - createdAt
        - settings
    PhiClaimItemResponse:
      type: object
      properties:
        statusCode:
          type: string
        responseCode:
          type: string
    HealthFundCapabilities:
      type: object
      properties:
        claims:
          type: string
          enum:
            - active
            - inactive
        rebatesEstimates:
          type: string
          enum:
            - active
            - inactive
      required:
        - claims
        - rebatesEstimates
    MemberActivity:
      type: object
      properties:
        updatedAt:
          format: date-time
          type: string
          description: The last time the application was used
          example: '2021-01-01T00:00:00.000Z'
        applicationId:
          type: string
          enum:
            - member_web
            - member_mobile
            - business_web
            - business_mobile
            - business_extension
        applicationVersion:
          type: string
        platform:
          type: string
        userAgent:
          type: string
        createdAt:
          format: date-time
          type: string
      required:
        - updatedAt
        - applicationId
        - createdAt
    MemberSettings:
      type: object
      properties:
        showPlanHelp:
          type: boolean

````